Set or update secrets in a compute secret group. Secrets are encrypted with AES-256-GCM. Use this to manage environment variables and API keys for your compute workloads.
cURL
curl --request PUT \ --url https://api.case.dev/compute/v1/secrets/{group} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "secrets": {}, "env": "<string>" } '
{ "success": true, "group": "litigation-apis", "created": 2, "updated": 1, "message": "Secrets saved" }
API key starting with sk_case_
sk_case_
Name of the secret group
Key-value pairs of secrets to set
Show child attributes
Environment name (optional, uses default if not specified)
Secrets successfully set
Number of new secrets created
Number of existing secrets updated
Was this page helpful?
Contact support